For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGets configured context fields
      • POSTCreate a context field
      • GETGets context field
      • PUTUpdate an existing context field
      • DELDelete an existing context field
      • POSTAdd or update legal value for the context field
      • DELDelete legal value for the context field
      • POSTValidate a context field
      • GET[BETA] Gets configured context fields
      • POST[BETA] Create a context field
      • GET[BETA] Gets context field
      • PUT[BETA] Update an existing context field
      • DEL[BETA] Delete an existing context field
      • POST[BETA] Add or update legal value for the context field
      • DEL[BETA] Delete legal value for the context field
      • POST[BETA] Validate a context field

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIContext

Delete legal value for the context field

||View as Markdown|
DELETE
https://app.unleash-instance.example.com/api/admin/context/:contextField/legal-values/:legalValue
DELETE
/api/admin/context/:contextField/legal-values/:legalValue
$curl -X DELETE https://app.unleash-instance.example.com/api/admin/context/contextField/legal-values/legalValue \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Deleted
1{}
Removes the specified custom context field legal value. Does not validate that the legal value is not in use and does not remove usage from constraints that use it.
Was this page helpful?
Previous

Validate a context field

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

contextFieldstringRequired
legalValuestringRequired

Response

This response has no body.